/* @import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@100;200;300;400;500;700;800;900&display=swap"); */

*,
*::after,
*::before {
    box-sizing: border-box;
    user-select: none;
    transition: all 0.1s;
    overflow: hidden;
}

#app {}

.nav-hidden {
    height: 100vh;
    width: 100vw;
    position: absolute;
    background-color: rgba(0, 0, 0, 0.356);
    z-index: 5;
    backdrop-filter: blur(5px);
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 2rem;
    /* left: 100%; */
    display: none;
}

.nav-inner {
    display: flex;
    height: 100%;
    flex-direction: column;
    justify-content: space-evenly;
}

i {
    font-size: 1.5rem;
}

:root {
    font-size: 18px;
    font-family: "Montserrat", sans-serif !important;
    font-weight: 500;
}

nav {
    width: 100%;
    height: 3rem;
    position: absolute;
    z-index: 3;
    top: 0;
    display: flex;
    justify-content: space-between;
    padding-left: 50px;
    padding-right: 50px;
    align-items: center;
}

.links {
    display: flex;
    justify-content: space-between;
}

.menu1 {
    height: 20px;
    cursor: pointer;
}

.logo {
    height: 30px;
}

.blob {
    /* animation: anim 30s infinite;
  border-radius: 30% 70% 53% 47% / 26% 46% 54% 74%;
  background-color: rgba(107, 107, 107, 0.24);
  height: max-content;
  width: max-content;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  position: absolute;
  backdrop-filter: blur(10px);
  z-index: 2;
  padding: 50px;
  background-image: url(./img/newpic.jpg);
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover; */
    background-color: rgba(0, 0, 0, 0.123);
    width: max-content;
    padding: 1rem;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    position: absolute;
    backdrop-filter: blur(5px);
    font-weight: 300;
    z-index: 2;
    font-size: 1.5rem;
}

@keyframes anim {
    0%,
    100% {
        border-radius: 30% 70% 70% 30% / 30% 52% 48% 70%;
    }
    10% {
        border-radius: 50% 50% 20% 80% / 25% 80% 20% 75%;
    }
    20% {
        border-radius: 67% 33% 47% 53% / 37% 20% 80% 63%;
    }
    30% {
        border-radius: 39% 61% 47% 53% / 37% 40% 60% 63%;
    }
    40% {
        border-radius: 39% 61% 82% 18% / 74% 40% 60% 26%;
    }
    50% {
        border-radius: 100%;
    }
    60% {
        border-radius: 50% 50% 53% 47% / 72% 69% 31% 28%;
    }
    70% {
        border-radius: 50% 50% 53% 47% / 26% 22% 78% 74%;
    }
    80% {
        border-radius: 50% 50% 53% 47% / 26% 69% 31% 74%;
    }
    90% {
        border-radius: 20% 80% 20% 80% / 20% 80% 20% 80%;
    }
}

body {
    margin: 0;
    --color-text: #fff;
    --color-bg: #000;
    --color-link: #5a5a5a;
    --color-link-hover: #3eaaf1;
    --color-alt: #3ba2e5;
    --color-info: #e93f3b;
    color: var(--color-text);
    background-color: var(--color-bg);
    /* font-family: ltc-bodoni-175, serif; */
    /* -webkit-font-smoothing: antialiased; */
    /* -moz-osx-font-smoothing: grayscale; */
}

.demo-3 {
    --color-link-hover: #dfd98a;
    --color-alt: #dfd98a;
    --color-info: #a90519;
}


/* Page Loader */

.js .loading::before,
.js .loading::after {
    content: "";
    position: fixed;
    z-index: 1000;
}

.js .loading::before {
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: var(--color-bg);
}

.js .loading::after {
    top: 50%;
    left: 50%;
    width: 60px;
    height: 60px;
    margin: -30px 0 0 -30px;
    opacity: 0.4;
    background: var(--color-link);
    animation: loaderAnim 0.7s linear infinite alternate forwards;
}

@keyframes loaderAnim {
    to {
        opacity: 1;
        transform: scale3d(0.5, 0.5, 1) rotate3d(0, 0, 1, 180deg);
        border-radius: 50%;
    }
}

a {
    text-decoration: none;
    color: var(--color-link);
    outline: none;
}

a:hover,
a:focus {
    color: var(--color-link-hover);
    outline: none;
}

.message {
    background: var(--color-text);
    color: var(--color-bg);
    padding: 1rem;
    text-align: center;
}

.frame {
    padding: 3rem 5vw;
    text-align: center;
    position: relative;
    z-index: 1000;
}

.frame__title {
    font-size: 1rem;
    margin: 0 0 1rem;
    font-weight: normal;
}

.frame__links {
    display: inline;
}

.frame__links a {
    display: block;
    margin: 0 1rem 0.5rem;
}

.frame__demos {
    margin: 1rem 0;
}

.frame__demo {
    display: block;
    padding-top: 0.5rem;
}

.frame__demo--current,
.frame__demo--current:hover {
    color: var(--color-link-hover);
}

.frame__info {
    color: var(--color-info);
}

.content {
    display: flex;
    flex-direction: column;
    width: 100vw;
    height: 100vh;
    position: relative;
    justify-content: flex-start;
    align-items: center;
}

.content__title-wrap {
    position: relative;
    text-align: center;
    pointer-events: none;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.content__title-wrap a {
    pointer-events: auto;
}

.content__pretitle {
    color: var(--color-alt);
    font-size: 1.35rem;
}

.content__title {
    font-size: 6vw;
    font-weight: normal;
    margin: 0.5rem 0 1.5rem;
    /* font-family: azo-sans-uber, sans-serif; */
}

.content__link {
    text-decoration: underline;
    /* font-family: azo-sans-uber, sans-serif; */
    font-size: 1.1rem;
    color: inherit;
}

#app {
    width: 100%;
    height: 100vh;
    overflow: hidden;
    position: absolute;
}

canvas {
    width: 100%;
    height: 100%;
}

@media screen and (min-width: 53em) {
    .message {
        display: none;
    }
    .frame {
        position: fixed;
        text-align: left;
        z-index: 100;
        top: 0;
        left: 0;
        display: grid;
        align-content: space-between;
        width: 100%;
        max-width: none;
        height: 100vh;
        padding: 2.5rem 4.5rem;
        pointer-events: none;
        grid-template-columns: 75% 25%;
        grid-template-rows: auto auto auto;
        grid-template-areas: "title info" "... ..." "... demos";
    }
    .frame__title-wrap {
        grid-area: title;
        display: flex;
    }
    .frame__title {
        margin: 0 8vw 0 0;
    }
    .frame__demos {
        margin: 0;
        grid-area: demos;
        justify-self: end;
    }
    .frame__links a {
        display: inline-block;
    }
    .frame__info {
        justify-self: end;
    }
    .frame a {
        pointer-events: auto;
    }
    .content {
        height: 100vh;
        justify-content: center;
    }
}